Forum .LRN Q&A: Re: Native Windows Installer for Windows (Version 1.10)

Collapse
Posted by Gustaf Neumann on
Dear Maurizio, we ran as well into the issue with libthread. Yes, the config.tcl file should be fixed.

However, your suggested approach with "package require Thread" does not work for aolserver. The existing code requires a version of libthread compiled as an aolserver module (under unix, configure with --with-aolserver=...; see http://openacs.org/xowiki/tag/libthread). When compiled this way, libthread names several commands differently and has a different initialization/cleanup behavior.

If possible, please provide libthread compiled as an aolserver module in the next release.